## ros-indigo-kobuki-node 0.6.8

=== src/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(library)
add_subdirectory(nodelet)

=== src/library/CMakeLists.txt ===
##############################################################################
# SOURCES
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

##############################################################################
# LIBRARY
##############################################################################

add_library(kobuki_ros ${SOURCES})
add_dependencies(kobuki_ros kobuki_msgs_gencpp)
target_link_libraries(kobuki_ros ${catkin_LIBRARIES})

install(TARGETS kobuki_ros
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== src/nodelet/CMakeLists.txt ===
##############################################################################
# NODELET
##############################################################################

add_library(kobuki_nodelet kobuki_nodelet.cpp)
add_dependencies(kobuki_nodelet kobuki_ros)
target_link_libraries(kobuki_nodelet kobuki_ros)

install(TARGETS kobuki_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-kobuki-node (0.6.8-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 09 Nov 2016 08:00:19 -0000

ros-indigo-kobuki-node (0.6.6-0trusty) trusty; urgency=high

  * install image directory closes #357 <https://github.com/yujinrobot/kobuki/issues/357>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-kobuki-node (0.6.5-0trusty) trusty; urgency=high

  * update diagnostics.yaml to show kobuki battery properly in kobuki dashboard. Fix #350 <https://github.com/yujinrobot/kobuki/issues/350>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.6.4-0trusty) trusty; urgency=high

  * Merge branch 'indigo' of https://github.com/yujinrobot/kobuki into indigo
  * rename run_depend of kobuki_node from kobuki_apps to kobuki_rapps
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.6.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.6.2-0trusty) trusty; urgency=high

  * add queue_size on publiehrs #338 <https://github.com/yujinrobot/kobuki/issues/338>
  * fixing the file link resolves #339 <https://github.com/yujinrobot/kobuki/issues/339>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 10 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.6.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 07 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.6.0-0trusty) trusty; urgency=high

  * remove kobuki_capabilities dependency from package.xml remove author emails
  * moves app manager launcher to kobuki_capabilities (solves #331 <https://github.com/yujinrobot/kobuki/issues/331>)
  * kobuki_node: adds shutdown flag to nodelet (fixes #324 <https://github.com/yujinrobot/kobuki/issues/324>)
  * fixes typo
  * updates icons for apps and app manager launcher
  * adds minor changes due to capability server and app manager updates
  * updates for new rapp lists
  * publish_tf arg for the launcher.
  * removes rviz launcher and dependency (fixes #315 <https://github.com/yujinrobot/kobuki/issues/315>)
  * adds app manager and capability server launcher for kobuki
  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Daniel Stonier, Jihoon Lee, Jorge Santos, Marcus Liebhardt

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 07 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-node (0.5.5-0trusty) trusty; urgency=high

  * Add ftdi dependency.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-indigo-kobuki-node (0.5.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 05 Sep 2013 15:00:00 -0000

ros-indigo-kobuki-node (0.5.3-0trusty) trusty; urgency=high

  * adds view robot launcher.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-node (0.5.0-0trusty) trusty; urgency=high

  * Added new interface about custom PID gain setting.
  * Added extra url info on all packages.
  * Updated old rnd email address.
  * lock api for protecting data access with asynchronous getXXX calls.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.
  * Reset odometry also for heading.
  * Set use_imu_heading as true (default).
  * Do not use robot_pose_ekf. Instead, use imu for heading and encoders por x and y. However, parameter use_imu_heading makes trivial to switch back to the previous system.
  * Added a debug topic that publish actual base command sent to robot.
  * Added flexible logging features to using named logging system of ros/log4cxx.
  * Reset odometry also works for heading (gyro).
  * Do not use robot_pose_ekf; use imu for heading and encoders for position.

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-node (0.4.0-0trusty) trusty; urgency=high

  * Change deprecated state_publisher to robot_state_publisher in launch files.
  * Add launch file for full tf.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 08 Aug 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-kobuki-node
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-ecl-exceptions, ros-indigo-ecl-sigslots, ros-indigo-ecl-streams, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-kobuki-driver, ros-indigo-kobuki-ftdi, ros-indigo-kobuki-keyop, ros-indigo-kobuki-msgs, ros-indigo-kobuki-safety-controller, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/kobuki_node
Standards-Version: 3.9.2

Package: ros-indigo-kobuki-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-capabilities, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-ecl-exceptions, ros-indigo-ecl-sigslots, ros-indigo-ecl-streams, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-kobuki-driver, ros-indigo-kobuki-ftdi, ros-indigo-kobuki-keyop, ros-indigo-kobuki-msgs, ros-indigo-kobuki-rapps, ros-indigo-kobuki-safety-controller, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: ROS nodelet for Kobuki: ROS wrapper for the Kobuki driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-kobuki-node//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
